summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorTomasz Żok2017-03-06 20:37:24 +0100
committerTomasz Żok2017-03-06 20:37:24 +0100
commitc79f2026e0b31c34b94fed37e352edb7d2782f7b (patch)
tree7ef1296cbce301914d51a338a02a7f3f62c5e365 /PKGBUILD
parent4546b24c35914838aca810700948be6fee875e40 (diff)
downloadaur-c79f2026e0b31c34b94fed37e352edb7d2782f7b.tar.gz
Bump version to v1.6.5-2017feb20
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD18
1 files changed, 14 insertions, 4 deletions
diff --git a/PKGBUILD b/PKGBUILD
index 7b20a6ee0f5..cd418ed6764 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,15 +1,25 @@
# Maintainer: Tomasz Zok <tomasz.zok [at] gmail.com>
pkgname=x3dna-dssr
-pkgver=1.6.5_20170122
+pkgver=1.6.5_20170220
pkgrel=1
pkgdesc="DSSR, an integrated software tool for Dissecting the Spatial Structure of RNA. Please see: http://forum.x3dna.org/site-announcements/download-instructions/"
arch=('x86_64')
url="http://x3dna.org/"
license=('custom')
depends=('glibc')
-source=("http://x3dna.bio.columbia.edu/downloads/dssr/linux-64bit/x3dna-dssr")
-md5sums=('d01be25c6f67ee0097bd51d69f7b1494')
+source=("${pkgname}.md5")
+md5sums=('39fd2ea0eb60e85f90f5dc2fb937bb59')
package() {
- install -D ${pkgname} ${pkgdir}/usr/bin/${pkgname}
+ if [[ ! -r "../${pkgname}" ]]; then
+ echo 'You must download x3dna-dssr binary on your own from the project webpage'
+ echo 'See: http://forum.x3dna.org/site-announcements/download-instructions/'
+ return 1
+ fi
+ if ! md5sum --quiet --check "${pkgname}.md5"; then
+ echo 'Invalid checksum!'
+ return 1
+ fi
+
+ install -D ../${pkgname} ${pkgdir}/usr/bin/${pkgname}
}